import type { IEventBus } from "../../../utils/EventBus";
import type { ISignTransactionsPanelData } from './sign-transactions-panel.types';
export declare class SignTransactionsPanel {
    private eventBus;
    isOpen: boolean;
    data: ISignTransactionsPanelData;
    componentWillLoad(): void;
    componentDidLoad(): void;
    disconnectedCallback(): void;
    handleOpen(): void;
    handleClose(): void;
    onClose(props?: {
        isUserClick: boolean;
    }): void;
    private dataUpdate;
    onDataChange(data: ISignTransactionsPanelData): void;
    getEventBus(): Promise<IEventBus>;
    render(): any;
}
